NAME
	/precompiled/string_buffer - incremental string buffer

DESCRIPTION
	string_buffer implements a fast way to build strings by appending
	strings or chars to the end of the buffer.

BUGS
	This object is not thread-safe, if several threads access the same
	buffer they have to protect the accesses with mutex locks.

============================================================================
NAME
	flush - flush the contents of the buffer

SYNTAX
	#include <string.h>

	void string_buffer->flush();

DESCRIPTION
	This function empties the string buffer. You don't need to call this
	function if you use the string buffer only once since the start
	state for a string buffer is flushed.

============================================================================
NAME
	append - append a string to the buffer

SYNTAX
	#include <string.h>

	void string_buffer->append(string s);

DESCRIPTION
	This function appends the string s to the end of the buffer.

============================================================================
NAME
	get_buffer - get the contents of the buffer as a string.

SYNTAX
	#include <string.h>

	mixed string_buffer->get_buffer();
	or
	(string)string_buffer;

DESCRIPTION
	This function retreives the content of the buffer. Note that it does
	not clear the contents of the buffer. You have to do that yourself
	with create().

============================================================================
